export default {
  pages: [
    // 'pages/staffDistribution/index',//员工分布
    'pages/punchClock/index',//打卡
    'pages/examine/index',//审核
    'pages/egressDetails/index',//公出详情
    'pages/login/index',//登录
    'pages/applyDepart/index',//申请公出
    'pages/mybusiness/index',//我的
    'pages/enterprise/index',//企业
    'pages/customerProfile/index',//企业详情/客户档案
    'pages/situation/index',//公出情况
    'pages/addEnterprise/index',//新增企业/渠道
  ],
//   subpackages: [
//     {
//         root: 'pages/egressDetails',
//         pages: ['index'],
//         "independent": true
//     },
//     {
//         root: 'pages/customerProfile',
//         pages: ['index'],
//         "independent": true
//     },
//     {
//         root: 'pages/situation',
//         pages: ['index'],
//         "independent": true
//     },
//     {
//         root: 'pages/addEnterprise',
//         pages: ['index'],
//         "independent": true
//     },
    
//   ],
  tabBar: {
    list: [
      {
        iconPath: './image/punchClockUnSelect.png',
        selectedIconPath: './image/punchClockSelect.png',
        pagePath: 'pages/punchClock/index',
        text: '打卡'
      },
      {
        iconPath: './image/egressUnSelect.png',
        selectedIconPath: './image/egressSelect.png',
        pagePath: 'pages/applyDepart/index',
        text: '申请公出'
      },
      {
        iconPath: './image/examineUnSelect.png',
        selectedIconPath: './image/examineSelect.png',
        pagePath: 'pages/examine/index',
        text: '审核'
      },
      {
        iconPath: './image/enterpriseUnSelect.png',
        selectedIconPath: './image/enterpriseSelect.png',
        pagePath: 'pages/enterprise/index',
        text: '企业'
      },
      {
        iconPath: './image/my.png',
        selectedIconPath: './image/myselect.png',
        pagePath: 'pages/mybusiness/index',
        text: '我的'
      }
    ],
    'color': '#515151',
    'selectedColor': '#56abe4',
    'backgroundColor': '#fff',
    'borderStyle': 'white'
  },
  window: {
    backgroundTextStyle: 'light',
    navigationBarBackgroundColor: '#fff',
    navigationBarTitleText: 'WeChat',
    navigationBarTextStyle: 'black',
  },
  requiredBackgroundModes: ['location'],
  requiredPrivateInfos: [
    "getLocation",
    "onLocationChange",
    "startLocationUpdate",
  ],
  plugins: {
    chooseLocation: {
      version: "1.1.0",
      provider: "wx76a9a06e5b4e693e"
    },
  },
  permission: {
    "scope.userLocation": {
      desc: "你的位置信息将用于小程序定位"
    }
  },
  "lazyCodeLoading": "requiredComponents",
  "__usePrivacyCheck__": true,
}
