const getBaseUrl = (url) => {
  let BASE_URL = '';
  if (process.env.NODE_ENV === 'development') {
    // 开发环境 - 根据请求不同返回不同的BASE_URL
    BASE_URL = 'http://172.16.0.199:8080'
    // BASE_URL = 'https://uat.jishutao.com'
    // BASE_URL = 'https://bm.jishutao.com'
  } else {
    // 生产环境
    BASE_URL = 'http://172.16.1.199:8080'
    // BASE_URL = 'https://uat.jishutao.com'
    // BASE_URL = 'https://bm.jishutao.com'
  }
  return BASE_URL
}

export default getBaseUrl;
